Subject: Pine and MIME/PGP

From: Paul Jakma <[email-masked]>
Date: Wed, 12 Jul 2000 11:35:46 +0100 (IST)

hi,

I'm using Pine and pgp4pine (http://pgp4pine.flatline.de/) to integrate
PGP. This has worked perfectly for quite a while. I have a display filter
to catch messages that have lines beginning with "-----BEGIN PGP".

However, there is a problem specific to mutt users. Mutt uses the RFC
mandated multi-part MIME encoding[1] for PGP encrypted messages, which is
a pain cause:

a) I don't see how I can teach Pine to use pgp4pine to display encrypted
messages when it sees the appropriate MIME header.

b) even if i could do the above, the RFC seems broken to me, as it
specifies that the encrypted message will be of type:

Content-Type: application/octet-stream

However, application/octet-stream (to my mind) could be anything, it
doesn't neccessarily have to be PGP encrypted, ie am i expected to put
application/octet-stream pgp4pine in my mailcap?

I guess the solution is for Pine to support the Multipart MIME security
and PGP/MIME standards. Is this planned for the next pine release?

regards,

Paul Jakma.
ITG Group Card Services Sys Admin.

[1]. RFC1847 and RFC2015.

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------

---

From: Angel <[email-masked]>
Date: Wed, 12 Jul 2000 07:54:46 -0500 (CDT)

Hi to all members of this list.

In our university we give support for PINE 4.05 to the users, the users
have PINE in all university.

Recently we have some problems with the conection to mail server (SUN),
the users work with PINE online but the conection to server broken in the
moment which the users are owrking with PINE for example writing a mail.
This is a problem for our networking administration and for our users.

I hope somebody had a same similar problem and I will apreciate the
solution.
 
If some give a  comment about this problem, thanks in advance.
Greetings.

                   ************************************
                   | Q.B.B.ANGEL G. POLANCO RODRIGUEZ |                
                   | UNIVERSIDAD AUTONOMA DE YUCATAN  |
                   | DIRECCION      GENERAL        DE |                
                   |      DESARROLLO ACADEMICO        |                
                   | DEPARTAMENTO  DE  TELEINFORMATICA|
                   | CALLE 59 POR  AV.  ITZAEZ  # 490 |
                   | MERIDA,      YUCATAN,     MEXICO |                
                   |      CODIGO POSTAL :  97 000     |                
                   |     TELEFONO:52 (99)  23 74 28   |
                   |    E-mail: [email-masked]   |
                   ************************************

---

From: Ben Elliston <[email-masked]>
Date: Thu, 13 Jul 2000 09:48:46 +1000 (EST)

Hi,

The problem I have is that GNU GPG uses the same -----BEGIN PGP string to
start signed and encrypted messages.  My PGP cannot deal with these, so I
get empty text out of the pgp program.

Is there any reason why I shouldn't just install GPG?  Is it 100% backward
compatible with existing PGP keyrings?

Ben

---

From: Frank Tobin <[email-masked]>
Date: Thu, 13 Jul 2000 01:29:13 -0500 (CDT)

> get empty text out of the pgp program.

Is this a Pine filter issue for you, or an actual OpenPGP implementation
issue?

> compatible with existing PGP keyrings?

GnuPG is an OpenPGP implementation (e.g., it obeys RFC 2440).  To support
PGP 2.x exported secret keys you need to get the separate RSA and IDEA
modules.  PGP 5.x-generated and exported keys should be no problem.

- -- 
Frank Tobin		http://www.uiuc.edu/~ftobin/

---

From: Ben Elliston <[email-masked]>
Date: Thu, 13 Jul 2000 17:26:05 +1000 (EST)

Hi Frank,

Ultimately, it's an issue with my filtering script.  If it were smart
enough, it could just copy the input to the output and I would get no
signature verification at all.

Thanks for the info on GPG.

Ben

---

From: Paul Jakma <[email-masked]>
Date: Thu, 13 Jul 2000 11:52:26 +0100 (IST)

> compatible with existing PGP keyrings?

i had the exact same problem. the upgrade to gpg was troublefree, it can
use your old keyrings.

now if only Pine could apply display filters to MIME types... (mutt is
making my life a misery, well wrt to pgp anyway)

---

From: Frank Tobin <[email-masked]>
Date: Thu, 13 Jul 2000 07:33:46 -0500 (CDT)

> signature verification at all.

Processsing signed/encrypted messages is not a trivial task; one should
take into account such things as unsigned mailing list footers, multiple
signed blocks, key imports, etc.  The filter pgpenvelope handles this all
for you 'smartly' :)

- --

---

From: Paul Jakma <[email-masked]>
Date: Thu, 13 Jul 2000 15:06:30 +0100 (IST)

> signed blocks, key imports, etc.  The filter pgpenvelope handles this all

Does it handle PGP/MIME or SMIME? (that being the point of this
thread.)

- --paulj

---

From: Frank Tobin <[email-masked]>
Date: Thu, 13 Jul 2000 17:42:23 -0500 (CDT)

> Does it handle PGP/MIME or SMIME? (that being the point of this

Not yet :\  I expect I'll be able to handle PGP/MIME signed messages
through procmail, though (pgpenvelope has procmail stuff too).

I just thought of a way I'll be able to get it to handle PGP/MIME
(something I had sortof given up on), using Pine's Pipe '|' command!

SMIME will definitely not be supported :P

- --